App\Library\Amazon\Classes\ProfessionalHealthCare:
    xml_root_name: ProfessionalHealthCare
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\ProfessionalHealthCare\ProductTypeAType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\ProfessionalHealthCare\VariationDataAType
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        colorName:
            expose: true
            access_type: public_method
            serialized_name: ColorName
            accessor:
                getter: getColorName
                setter: setColorName
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        scentName:
            expose: true
            access_type: public_method
            serialized_name: ScentName
            accessor:
                getter: getScentName
                setter: setScentName
            type: string
        finishType:
            expose: true
            access_type: public_method
            serialized_name: FinishType
            accessor:
                getter: getFinishType
                setter: setFinishType
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            xml_list:
                inline: true
                entry_name: SpecificUsesForProduct
            type: array<string>
        skinTone:
            expose: true
            access_type: public_method
            serialized_name: SkinTone
            accessor:
                getter: getSkinTone
                setter: setSkinTone
            xml_list:
                inline: true
                entry_name: SkinTone
            type: array<string>
        coverage:
            expose: true
            access_type: public_method
            serialized_name: Coverage
            accessor:
                getter: getCoverage
                setter: setCoverage
            type: string
        skinType:
            expose: true
            access_type: public_method
            serialized_name: SkinType
            accessor:
                getter: getSkinType
                setter: setSkinType
            xml_list:
                inline: true
                entry_name: SkinType
            type: array<string>
        hairType:
            expose: true
            access_type: public_method
            serialized_name: HairType
            accessor:
                getter: getHairType
                setter: setHairType
            xml_list:
                inline: true
                entry_name: HairType
            type: array<string>
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        indications:
            expose: true
            access_type: public_method
            serialized_name: Indications
            accessor:
                getter: getIndications
                setter: setIndications
            type: string
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            xml_list:
                inline: true
                entry_name: IncludedComponents
            type: array<string>
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        plugType:
            expose: true
            access_type: public_method
            serialized_name: PlugType
            accessor:
                getter: getPlugType
                setter: setPlugType
            type: string
        harmonizedCode:
            expose: true
            access_type: public_method
            serialized_name: HarmonizedCode
            accessor:
                getter: getHarmonizedCode
                setter: setHarmonizedCode
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        minimumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumWeightRecommendation
            accessor:
                getter: getMinimumWeightRecommendation
                setter: setMinimumWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeightRecommendation
            accessor:
                getter: getMaximumWeightRecommendation
                setter: setMaximumWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        fdaDeviceClassification:
            expose: true
            access_type: public_method
            serialized_name: FdaDeviceClassification
            accessor:
                getter: getFdaDeviceClassification
                setter: setFdaDeviceClassification
            type: string
        fdaIndicationOfUse:
            expose: true
            access_type: public_method
            serialized_name: FdaIndicationOfUse
            accessor:
                getter: getFdaIndicationOfUse
                setter: setFdaIndicationOfUse
            type: string
        fdaInstructionsForUseType:
            expose: true
            access_type: public_method
            serialized_name: FdaInstructionsForUseType
            accessor:
                getter: getFdaInstructionsForUseType
                setter: setFdaInstructionsForUseType
            type: string
        fdaLabelType:
            expose: true
            access_type: public_method
            serialized_name: FdaLabelType
            accessor:
                getter: getFdaLabelType
                setter: setFdaLabelType
            type: string
        fdaPremarketApprovalNumber510k:
            expose: true
            access_type: public_method
            serialized_name: FdaPremarketApprovalNumber510k
            accessor:
                getter: getFdaPremarketApprovalNumber510k
                setter: setFdaPremarketApprovalNumber510k
            type: string
        fdaPremarketApprovalNumberPma:
            expose: true
            access_type: public_method
            serialized_name: FdaPremarketApprovalNumberPma
            accessor:
                getter: getFdaPremarketApprovalNumberPma
                setter: setFdaPremarketApprovalNumberPma
            type: string
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\ProfessionalHealthCare\UnitCountAType
        productExpirationType:
            expose: true
            access_type: public_method
            serialized_name: ProductExpirationType
            accessor:
                getter: getProductExpirationType
                setter: setProductExpirationType
            type: string
        fcShelfLife:
            expose: true
            access_type: public_method
            serialized_name: FcShelfLife
            accessor:
                getter: getFcShelfLife
                setter: setFcShelfLife
            type: string
        fcShelfLifePadTime:
            expose: true
            access_type: public_method
            serialized_name: FcShelfLifePadTime
            accessor:
                getter: getFcShelfLifePadTime
                setter: setFcShelfLifePadTime
            type: string
        fcShelfLifePadTime2q:
            expose: true
            access_type: public_method
            serialized_name: FcShelfLifePadTime2q
            accessor:
                getter: getFcShelfLifePadTime2q
                setter: setFcShelfLifePadTime2q
            type: string
        fcReceivePadTime:
            expose: true
            access_type: public_method
            serialized_name: FcReceivePadTime
            accessor:
                getter: getFcReceivePadTime
                setter: setFcReceivePadTime
            type: string
        organizationTaxRole1:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxRole1
            accessor:
                getter: getOrganizationTaxRole1
                setter: setOrganizationTaxRole1
            type: string
        organizationTaxCode1:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxCode1
            accessor:
                getter: getOrganizationTaxCode1
                setter: setOrganizationTaxCode1
            type: string
        organizationTaxRole2:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxRole2
            accessor:
                getter: getOrganizationTaxRole2
                setter: setOrganizationTaxRole2
            type: string
        organizationTaxCode2:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxCode2
            accessor:
                getter: getOrganizationTaxCode2
                setter: setOrganizationTaxCode2
            type: string
        organizationTaxRole3:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxRole3
            accessor:
                getter: getOrganizationTaxRole3
                setter: setOrganizationTaxRole3
            type: string
        organizationTaxCode3:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxCode3
            accessor:
                getter: getOrganizationTaxCode3
                setter: setOrganizationTaxCode3
            type: string
        organizationTaxRole4:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxRole4
            accessor:
                getter: getOrganizationTaxRole4
                setter: setOrganizationTaxRole4
            type: string
        organizationTaxCode4:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxCode4
            accessor:
                getter: getOrganizationTaxCode4
                setter: setOrganizationTaxCode4
            type: string
        organizationTaxRole5:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxRole5
            accessor:
                getter: getOrganizationTaxRole5
                setter: setOrganizationTaxRole5
            type: string
        organizationTaxCode5:
            expose: true
            access_type: public_method
            serialized_name: OrganizationTaxCode5
            accessor:
                getter: getOrganizationTaxCode5
                setter: setOrganizationTaxCode5
            type: string
